#!/bin/bash
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
INSTALLDIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )"/../.. && pwd )"
. /etc/os-release
OS=$ID


sed -i '/.*PUPPETEER_.*/d' /root/.bashrc
sed -i '/.*PUPPETEER_.*/d' /etc/profile


pushd "/usr/share/ombutel/www/statexplorer/api/scripts/autoexport" > /dev/null
rm -rf node_modules
rm -rf package.json
rm -rf package-lock.json
rm -rf .puppeteer.config.cjs
rm -rf .cache
rm -rf /root/.cache/puppeteer
cat > package.json <<- "EOF"
{
  "description": "Autoexport module for statexplorer",
  "repository": {},
  "license": "CC-BY-NC-4.0",
  "type": "module",
  "dependencies": {
    "args-parser": "^1.3.0",
    "commander": "^9.4.1",
    "jszip": "^3.6.0",
    "node-fetch": "2.6.1",
    "puppeteer": "^19.3.0"
  }
}
EOF

cat > .puppeteer.config.cjs <<- "EOF"
const {join} = require('path');

/**
 * @type {import("puppeteer").Configuration}
 */
module.exports = {
  cacheDirectory: '/usr/share/ombutel/www/statexplorer/api/scripts/autoexport/.cache/puppeteer',
};
EOF


# Si on rencontre encore des soucis, faudra peut être faire: 
# PUPPETEER_CACHE_DIR="/usr/share/ombutel/www/statexplorer/api/scripts/autoexport" npm install puppeteer
# PUPPETEER_CACHE_DIR="/usr/share/ombutel/www/statexplorer/api/scripts/autoexport" node <script-path>



npm install > /dev/null
popd > /dev/null

echo "Fixing cron task"
echo "PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/root/bin" > /etc/cron.d/statexplorerexport
echo "* * * * * root nice -n 19 php /usr/share/ombutel/www/statexplorer/api/scripts/autoexport/run_autoexport.php >> /var/log/statexplorerexport.log 2>&1" >> /etc/cron.d/statexplorerexport
